Index: branches/new_class_id/src/world_entities/weapons/test_gun.h
===================================================================
--- branches/new_class_id/src/world_entities/weapons/test_gun.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/weapons/test_gun.h	(revision 9715)
@@ -37,5 +37,5 @@
 class TestGun : public Weapon
   {
-    NewObjectListDeclaration(TestGun);
+    ObjectListDeclaration(TestGun);
   public:
     TestGun (int leftRight);
Index: branches/new_class_id/src/world_entities/weapons/turret.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/turret.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/weapons/turret.cc	(revision 9715)
@@ -28,5 +28,5 @@
 
 #include "class_id.h"
-NewObjectListDefinitionID(Turret, CL_TURRET);
+ObjectListDefinitionID(Turret, CL_TURRET);
 CREATE_FACTORY(Turret);
 
Index: branches/new_class_id/src/world_entities/weapons/turret.h
===================================================================
--- branches/new_class_id/src/world_entities/weapons/turret.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/weapons/turret.h	(revision 9715)
@@ -11,5 +11,5 @@
 class Turret : public Weapon
   {
-    NewObjectListDeclaration(Turret);
+    ObjectListDeclaration(Turret);
   public:
     Turret ();
Index: branches/new_class_id/src/world_entities/weapons/weapon.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/weapon.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/weapons/weapon.cc	(revision 9715)
@@ -35,5 +35,5 @@
 #include "elements/glgui_energywidget.h"
 
-NewObjectListDefinition(Weapon);
+ObjectListDefinition(Weapon);
 
 ////////////////////
@@ -72,5 +72,5 @@
  * @returns the newly created Weapon.
  */
-Weapon* Weapon::createWeapon(const NewClassID& weaponID)
+Weapon* Weapon::createWeapon(const ClassID& weaponID)
 {
   BaseObject* createdObject = Factory::fabricate(weaponID);
@@ -179,5 +179,5 @@
  * What it does, is telling the Weapon what Projectiles it can Emit.
  */
-void Weapon::setProjectileType(const NewClassID& projectile)
+void Weapon::setProjectileType(const ClassID& projectile)
 {
   this->projectile = projectile;
Index: branches/new_class_id/src/world_entities/weapons/weapon.h
===================================================================
--- branches/new_class_id/src/world_entities/weapons/weapon.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/weapons/weapon.h	(revision 9715)
@@ -83,5 +83,5 @@
 class Weapon : public WorldEntity
 {
-  NewObjectListDeclaration(Weapon);
+  ObjectListDeclaration(Weapon);
 
   public:
@@ -89,5 +89,5 @@
     Weapon ();
     virtual ~Weapon ();
-    static Weapon* createWeapon(const NewClassID& weaponID);
+    static Weapon* createWeapon(const ClassID& weaponID);
     static Weapon* createWeapon(const std::string& weaponName);
 
@@ -113,8 +113,8 @@
     /** @returns the Capabilities of this Weapon */
     inline long getCapability() const { return this->capability; };
-    void setProjectileType(const NewClassID& projectile);
+    void setProjectileType(const ClassID& projectile);
     void setProjectileTypeC(const std::string& projectile);
     /** @returns The projectile's classID */
-    inline NewClassID getProjectileType() { return this->projectile; };
+    inline ClassID getProjectileType() { return this->projectile; };
     /** @returns the FastFactory, that creates Projectiles of type getProjectile */
     inline FastFactory* getProjectileFactory() { return this->projectileFactory; };
@@ -233,5 +233,5 @@
     bool                   chargeable;                      //!< if the Weapon is charcheable (if true, the weapon will charge before it fires.)
 
-    NewClassID                projectile;                      //!< the projectile used for this weapon (since they should be generated via macro and the FastFactory, only the ClassID must be known.)
+    ClassID                projectile;                      //!< the projectile used for this weapon (since they should be generated via macro and the FastFactory, only the ClassID must be known.)
     FastFactory*           projectileFactory;               //!< A factory, that produces and handles the projectiles.
   };
Index: branches/new_class_id/src/world_entities/weapons/weapon_manager.cc
===================================================================
--- branches/new_class_id/src/world_entities/weapons/weapon_manager.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/weapons/weapon_manager.cc	(revision 9715)
@@ -31,5 +31,5 @@
 
 
-NewObjectListDefinition(WeaponManager);
+ObjectListDefinition(WeaponManager);
 /**
  * @brief this initializes the weaponManager for a given nnumber of weapon slots
@@ -311,5 +311,5 @@
  * @param ammo the ammo to increase
  */
-float WeaponManager::increaseAmmunition(const NewClassID& projectileType, float ammo)
+float WeaponManager::increaseAmmunition(const ClassID& projectileType, float ammo)
 {
   return this->getAmmoContainer(projectileType)->increaseEnergy(ammo);
@@ -523,5 +523,5 @@
 }
 
-CountPointer<AmmoContainer>& WeaponManager::getAmmoContainer(const NewClassID& projectileType)
+CountPointer<AmmoContainer>& WeaponManager::getAmmoContainer(const ClassID& projectileType)
 {
   for (unsigned int i = 0; i < this->ammo.size(); i++)
Index: branches/new_class_id/src/world_entities/weapons/weapon_manager.h
===================================================================
--- branches/new_class_id/src/world_entities/weapons/weapon_manager.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/weapons/weapon_manager.h	(revision 9715)
@@ -39,5 +39,5 @@
  */
 class WeaponManager : public BaseObject {
-  NewObjectListDeclaration(WeaponManager);
+  ObjectListDeclaration(WeaponManager);
 
   //! an enumerator defining a Slot, where a Weapon can be stored inside.
@@ -90,5 +90,5 @@
     void changeWeaponConfig(int weaponConfig);
 
-    float increaseAmmunition(const NewClassID& projectileType, float ammo);
+    float increaseAmmunition(const ClassID& projectileType, float ammo);
     float inclreaseAmmunition(const Weapon* weapon, float ammo);
 
@@ -107,5 +107,5 @@
  // private:
     int getNextFreeSlot(int configID, long capability = WTYPE_ALL);
-    CountPointer<AmmoContainer>& getAmmoContainer(const NewClassID& projectileType);
+    CountPointer<AmmoContainer>& getAmmoContainer(const ClassID& projectileType);
     CountPointer<AmmoContainer>& getAmmoContainer(const Weapon* weapon);
 
Index: branches/new_class_id/src/world_entities/world_entity.cc
===================================================================
--- branches/new_class_id/src/world_entities/world_entity.cc	(revision 9714)
+++ branches/new_class_id/src/world_entities/world_entity.cc	(revision 9715)
@@ -48,5 +48,5 @@
 
 
-NewObjectListDefinition(WorldEntity);
+ObjectListDefinition(WorldEntity);
 /**
  *  Loads the WordEntity-specific Part of any derived Class
@@ -302,5 +302,5 @@
  *  @param target1 a filter target (classID)
  */
-void WorldEntity::subscribeReaction(CREngine::CRType type, const NewClassID& target1)
+void WorldEntity::subscribeReaction(CREngine::CRType type, const ClassID& target1)
 {
   this->subscribeReaction(type);
@@ -316,5 +316,5 @@
  *  @param target1 a filter target (classID)
  */
-void WorldEntity::subscribeReaction(CREngine::CRType type, const NewClassID& target1, const NewClassID& target2)
+void WorldEntity::subscribeReaction(CREngine::CRType type, const ClassID& target1, const ClassID& target2)
 {
   this->subscribeReaction(type);
@@ -331,5 +331,5 @@
  *  @param target1 a filter target (classID)
  */
-void WorldEntity::subscribeReaction(CREngine::CRType type, const NewClassID& target1, const NewClassID& target2, const NewClassID& target3)
+void WorldEntity::subscribeReaction(CREngine::CRType type, const ClassID& target1, const ClassID& target2, const ClassID& target3)
 {
   this->subscribeReaction(type);
@@ -347,5 +347,5 @@
  *  @param target1 a filter target (classID)
  */
-void WorldEntity::subscribeReaction(CREngine::CRType type, const NewClassID& target1, const NewClassID& target2, const NewClassID& target3, const NewClassID& target4)
+void WorldEntity::subscribeReaction(CREngine::CRType type, const ClassID& target1, const ClassID& target2, const ClassID& target3, const ClassID& target4)
 {
   this->subscribeReaction(type);
Index: branches/new_class_id/src/world_entities/world_entity.h
===================================================================
--- branches/new_class_id/src/world_entities/world_entity.h	(revision 9714)
+++ branches/new_class_id/src/world_entities/world_entity.h	(revision 9715)
@@ -41,5 +41,5 @@
 class WorldEntity : public PNode
 {
-  NewObjectListDeclaration(WorldEntity);
+  ObjectListDeclaration(WorldEntity);
 public:
   WorldEntity();
@@ -83,8 +83,8 @@
   /* --- Collision Reaction Block --- */
   void subscribeReaction(CREngine::CRType type);
-  void subscribeReaction(CREngine::CRType type, const NewClassID& target1);
-  void subscribeReaction(CREngine::CRType type, const NewClassID& target1, const NewClassID& target2);
-  void subscribeReaction(CREngine::CRType type, const NewClassID& target1, const NewClassID& target2, const NewClassID& target3);
-  void subscribeReaction(CREngine::CRType type, const NewClassID& target1, const NewClassID& target2, const NewClassID& target3, const NewClassID& target4);
+  void subscribeReaction(CREngine::CRType type, const ClassID& target1);
+  void subscribeReaction(CREngine::CRType type, const ClassID& target1, const ClassID& target2);
+  void subscribeReaction(CREngine::CRType type, const ClassID& target1, const ClassID& target2, const ClassID& target3);
+  void subscribeReaction(CREngine::CRType type, const ClassID& target1, const ClassID& target2, const ClassID& target3, const ClassID& target4);
 
   void unsubscribeReaction(CREngine::CRType type);
